Does the Relay API(Python) has support Ubuntu18.04?

Supporting 2.6 and up
BruceHsin
Phidgetsian
Posts: 5
Joined: Tue Jun 09, 2020 3:52 am
Contact:

Does the Relay API(Python) has support Ubuntu18.04?

Postby BruceHsin » Sun Jul 26, 2020 10:01 pm

Hi Phidgets member,

Does the Relay API(Python) has support Ubuntu18.04?
The Python version we use is Python3.7. Sometimes the relay cannot be caught(USB cna't found device ) under long-term use.
Is there a less recommended version for certain Linx system versions?
Thank you.

PS. If need to provide more detailed test information? Please help tell us.

BruceHsin
Phidgetsian
Posts: 5
Joined: Tue Jun 09, 2020 3:52 am
Contact:

Re: Does the Relay API(Python) has support Ubuntu18.04?

Postby BruceHsin » Mon Jul 27, 2020 5:31 am

Sorry, forgot to provide the Relay model(P/N)
The PhidgetInterfaceKit 0/0/8 (1017_1B)
The PhidgetInterfaceKit 0/0/4 (1014_2)

Thank you.

User avatar
Patrick
Lead Developer
Posts: 3197
Joined: Mon Jun 20, 2005 8:46 am
Location: Canada
Contact:

Re: Does the Relay API(Python) has support Ubuntu18.04?

Postby Patrick » Mon Jul 27, 2020 10:51 am

Hi,

Can you enable library logging and post any errors. Python 3.7 and Ubuntu are fully supported.

https://www.phidgets.com/docs/index.php ... no#Logging
https://www.phidgets.com/?view=api&lang=Python&api=Log

-Patrick


Return to “Linux”

Who is online

Users browsing this forum: No registered users and 1 guest